<?php 
require_once('../modelos/Servicio.php');

$servicio=new Servicio();

$idcontrato= isset($_POST["idcontrato"]) ? limpiarCadena($_POST["idcontrato"]) : "";
$tipo_problema= isset($_POST["tipo_problema"]) ? limpiarCadena($_POST["tipo_problema"]) : "";
$descripcion= isset($_POST["descripcion"]) ? limpiarCadena($_POST["descripcion"]) : "";
$direccion= isset($_POST["direccion"]) ? limpiarCadena($_POST["direccion"]) : "";
$latitud= isset($_POST["latitud"]) ? limpiarCadena($_POST["latitud"]) : "";
$longitud= isset($_POST["longitud"]) ? limpiarCadena($_POST["longitud"]) : "";
$celular= isset($_POST["celular"]) ? limpiarCadena($_POST["celular"]) : "";
$referencia= isset($_POST["referencia"]) ? limpiarCadena($_POST["referencia"]) : "";

switch ($_GET["op"])
{
    case 'guardar_incidencia':
        $rspta=$servicio->insertar($idcontrato,$tipo_problema,$descripcion,$referencia,$celular,$direccion,$latitud,$longitud);
        echo $rspta;
    break;

    case 'listar_ordenes':
    $idcliente = $_GET["idcliente"];
    $rspta = $servicio->listar_ordenes($idcliente);

    $data = array();
    while ($reg = $rspta->fetch_object()) {
      $data[] = array(
        "idincidencia" => $reg->idincidencia,
        "estado" => $reg->estado,
        "nrocontrato" => $reg->nrocontrato,
        "fecha" => $reg->fecha,
        "tecnico" => $reg->tecnico
      );
    }

    echo json_encode($data);
    break;
}